Skip to main content
POST
/
api
/
v1
/
organizations
/
{organizationID}
/
serviceaccounts
Create service account
curl --request POST \
  --url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/serviceaccounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "name": "my-service-account",
    "description": "A service account for doing stuff."
  },
  "spec": {
    "groupIDs": [
      "0aaba80d-67ef-4799-b6d9-59f37e2ce2ad"
    ]
  }
}
'
{
  "metadata": {
    "id": "ee45f34b-9685-40d8-8724-23c31252ca46",
    "name": "my-service-account",
    "organizationId": "d4600d6e-e965-4b44-a808-84fb2fa36702",
    "creationTime": "2024-05-31T14:11:00Z",
    "provisioningStatus": "provisioned",
    "healthStatus": "healthy"
  },
  "spec": {
    "groupIDs": [
      "f2000047-19f8-426e-93b9-9f0a5bfa0edd"
    ]
  },
  "status": {
    "expiry": "2025-03-14T16:10:00Z",
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

organizationID
string
required

An organization ID.

Body

application/json

Body required to create a service account.

A service account creation request.

metadata
object
required

Metadata required for all API resource reads and writes.

spec
object
required

A service account specification.

Response

A service account creation.

A new service account.

metadata
object
required

Metadata required by organization scoped resource reads.

spec
object
required

A service account specification.

status
object
required

A service account status.